<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>JSDoc: Class: IFrame</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css" />
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css" />
  </head>

  <body>
    <div id="main">
      <h1 class="page-title">Class: IFrame</h1>

      <section>
        <header>
          <h2>
            <span class="attribs"><span class="type-signature"></span></span>IFrame
          </h2>

          <div class="class-description">A custom iFrame component with different configuration options.</div>
        </header>

        <article>
          <div class="container-overview">
            <dl class="details">
              <dt class="tag-source">Source:</dt>
              <dd class="tag-source">
                <ul class="dummy">
                  <li>
                    <a href="iFrame_iFrame.js.html">iFrame/iFrame.js</a>,
                    <a href="iFrame_iFrame.js.html#line18">line 18</a>
                  </li>
                </ul>
              </dd>
            </dl>

            <h5>Example</h5>

            <pre class="prettyprint"><code>&lt;c-i-frame
  url="https://example.com/"
  height="500px"
  width="100%"
  referrerpolicy="no-referrer"
  sandbox=""
>&lt;/c-i-frame></code></pre>
          </div>

          <h3 class="subsection-title">Extends</h3>

          <ul>
            <li>LightningElement</li>
          </ul>

          <h3 class="subsection-title">Members</h3>

          <h4 class="name" id="height">
            <span class="type-signature"></span>height<span class="type-signature"> :string</span>
          </h4>

          <div class="description">Specifies the height of the iframe. Default height is 500 pixels.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">string</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>'500px'</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="iFrame_iFrame.js.html">iFrame/iFrame.js</a>,
                  <a href="iFrame_iFrame.js.html#line24">line 24</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="referrerPolicy">
            <span class="type-signature"></span>referrerPolicy<span class="type-signature"> :string</span>
          </h4>

          <div class="description">Specifies which referrer information to send when fetching the iframe.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">string</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>'no-referrer'</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="iFrame_iFrame.js.html">iFrame/iFrame.js</a>,
                  <a href="iFrame_iFrame.js.html#line31">line 31</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="sandbox">
            <span class="type-signature"></span>sandbox<span class="type-signature"> :string</span>
          </h4>

          <div class="description">Enables an extra set of restrictions for the content in an iframe.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">string</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>''</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="iFrame_iFrame.js.html">iFrame/iFrame.js</a>,
                  <a href="iFrame_iFrame.js.html#line38">line 38</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="url">
            <span class="type-signature"></span>url<span class="type-signature"> :string</span>
          </h4>

          <div class="description">Specifies the address of the document to embed in the iframe.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">string</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>''</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="iFrame_iFrame.js.html">iFrame/iFrame.js</a>,
                  <a href="iFrame_iFrame.js.html#line45">line 45</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="width">
            <span class="type-signature"></span>width<span class="type-signature"> :string</span>
          </h4>

          <div class="description">Specifies the width of an iframe. Default width is 100 percent.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">string</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>'100%'</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="iFrame_iFrame.js.html">iFrame/iFrame.js</a>,
                  <a href="iFrame_iFrame.js.html#line52">line 52</a>
                </li>
              </ul>
            </dd>
          </dl>
        </article>
      </section>
    </div>

    <nav>
      <h2><a href="index.html">Home</a></h2>
      <h3>Classes</h3>
      <ul>
        <li><a href="Base64ToPdf.html">Base64ToPdf</a></li>
        <li><a href="CsvToDatatable.html">CsvToDatatable</a></li>
        <li><a href="CustomDatatable.html">CustomDatatable</a></li>
        <li><a href="CustomMapView.html">CustomMapView</a></li>
        <li><a href="CustomSlider.html">CustomSlider</a></li>
        <li><a href="HelloWorld.html">HelloWorld</a></li>
        <li><a href="IFrame.html">IFrame</a></li>
        <li><a href="LocalDevelopmentWrapper.html">LocalDevelopmentWrapper</a></li>
        <li><a href="MultiSelectCombobox.html">MultiSelectCombobox</a></li>
        <li><a href="MultiSelectComboboxItem.html">MultiSelectComboboxItem</a></li>
        <li><a href="OpenRecordPageFlowAction.html">OpenRecordPageFlowAction</a></li>
      </ul>
      <h3>Global</h3>
      <ul>
        <li><a href="global.html#slidesData">slidesData</a></li>
      </ul>
    </nav>

    <br class="clear" />

    <footer>
      Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 4.0.0</a> on Thu Feb 16 2023 11:49:13
      GMT+0100 (Central European Standard Time)
    </footer>

    <script>
      prettyPrint();
    </script>
    <script src="scripts/linenumber.js"></script>
  </body>
</html>
